#include <kdialog.h>
#include <klocale.h>

#ifndef UI_XSLDBGCALLSTACK_H
#define UI_XSLDBGCALLSTACK_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_XsldbgCallStack
{
public:
    QGridLayout *gridLayout;
    Q3ListView *callStackListView;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *refreshBtn;
    QSpacerItem *spacerItem1;

    void setupUi(QWidget *XsldbgCallStack)
    {
    if (XsldbgCallStack->objectName().isEmpty())
        XsldbgCallStack->setObjectName(QString::fromUtf8("XsldbgCallStack"));
    QSize size(520, 391);
    size = size.expandedTo(XsldbgCallStack->minimumSizeHint());
    XsldbgCallStack->resize(size);
    gridLayout = new QGridLayout(XsldbgCallStack);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    callStackListView = new Q3ListView(XsldbgCallStack);
    callStackListView->addColumn(tr2i18n("Frame# Template Name", 0));
    callStackListView->header()->setClickEnabled(true, callStackListView->header()->count() - 1);
    callStackListView->header()->setResizeEnabled(true, callStackListView->header()->count() - 1);
    callStackListView->addColumn(tr2i18n("Source File Name", 0));
    callStackListView->header()->setClickEnabled(true, callStackListView->header()->count() - 1);
    callStackListView->header()->setResizeEnabled(true, callStackListView->header()->count() - 1);
    callStackListView->addColumn(tr2i18n("Line Number", 0));
    callStackListView->header()->setClickEnabled(true, callStackListView->header()->count() - 1);
    callStackListView->header()->setResizeEnabled(true, callStackListView->header()->count() - 1);
    callStackListView->setObjectName(QString::fromUtf8("callStackListView"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(3));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(callStackListView->sizePolicy().hasHeightForWidth());
    callStackListView->setSizePolicy(sizePolicy);

    gridLayout->addWidget(callStackListView, 0, 0, 1, 1);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    refreshBtn = new QPushButton(XsldbgCallStack);
    refreshBtn->setObjectName(QString::fromUtf8("refreshBtn"));

    hboxLayout->addWidget(refreshBtn);

    spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);


    gridLayout->addLayout(hboxLayout, 1, 0, 1, 1);


    retranslateUi(XsldbgCallStack);
    QObject::connect(callStackListView, SIGNAL(selectionChanged(Q3ListViewItem*)), XsldbgCallStack, SLOT(selectionChanged(Q3ListViewItem*)));
    QObject::connect(refreshBtn, SIGNAL(clicked()), XsldbgCallStack, SLOT(refresh()));

    QMetaObject::connectSlotsByName(XsldbgCallStack);
    } // setupUi

    void retranslateUi(QWidget *XsldbgCallStack)
    {
    XsldbgCallStack->setWindowTitle(tr2i18n("Xsldbg Callstack", 0));
    callStackListView->header()->setLabel(0, tr2i18n("Frame# Template Name", 0));
    callStackListView->header()->setLabel(1, tr2i18n("Source File Name", 0));
    callStackListView->header()->setLabel(2, tr2i18n("Line Number", 0));
    callStackListView->setProperty("toolTip", QVariant(tr2i18n("Oldest Frame # is 0, Frame # has been added to the first column", 0)));
    refreshBtn->setText(tr2i18n("Refresh", 0));
    Q_UNUSED(XsldbgCallStack);
    } // retranslateUi

};

namespace Ui {
    class XsldbgCallStack: public Ui_XsldbgCallStack {};
} // namespace Ui

class XsldbgCallStack : public QWidget, public Ui::XsldbgCallStack
{
    Q_OBJECT

public:
    XsldbgCallStack(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~XsldbgCallStack();

public slots:
    virtual void refresh();
    virtual void selectionChanged(Q3ListViewItem*);

protected slots:
    virtual void languageChange();

};

#endif // XSLDBGCALLSTACK_H

