#include <kdialog.h>
#include <klocale.h>

#ifndef UI_XSLDBGENTITIES_H
#define UI_XSLDBGENTITIES_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_XsldbgEntities
{
public:
    QGridLayout *gridLayout;
    Q3ListView *entitiesListView;
    QSpacerItem *spacerItem;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem1;
    QPushButton *refreshBtn;
    QSpacerItem *spacerItem2;

    void setupUi(QWidget *XsldbgEntities)
    {
    if (XsldbgEntities->objectName().isEmpty())
        XsldbgEntities->setObjectName(QString::fromUtf8("XsldbgEntities"));
    QSize size(610, 464);
    size = size.expandedTo(XsldbgEntities->minimumSizeHint());
    XsldbgEntities->resize(size);
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(XsldbgEntities->sizePolicy().hasHeightForWidth());
    XsldbgEntities->setSizePolicy(sizePolicy);
    gridLayout = new QGridLayout(XsldbgEntities);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    entitiesListView = new Q3ListView(XsldbgEntities);
    entitiesListView->addColumn(tr2i18n("PublicID", 0));
    entitiesListView->header()->setClickEnabled(true, entitiesListView->header()->count() - 1);
    entitiesListView->header()->setResizeEnabled(true, entitiesListView->header()->count() - 1);
    entitiesListView->addColumn(tr2i18n("SystemID", 0));
    entitiesListView->header()->setClickEnabled(true, entitiesListView->header()->count() - 1);
    entitiesListView->header()->setResizeEnabled(true, entitiesListView->header()->count() - 1);
    entitiesListView->setObjectName(QString::fromUtf8("entitiesListView"));
    sizePolicy.setHeightForWidth(entitiesListView->sizePolicy().hasHeightForWidth());
    entitiesListView->setSizePolicy(sizePolicy);

    gridLayout->addWidget(entitiesListView, 0, 0, 1, 1);

    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 3, 0, 1, 1);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);

    refreshBtn = new QPushButton(XsldbgEntities);
    refreshBtn->setObjectName(QString::fromUtf8("refreshBtn"));

    hboxLayout->addWidget(refreshBtn);

    spacerItem2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem2);


    gridLayout->addLayout(hboxLayout, 4, 0, 1, 1);


    retranslateUi(XsldbgEntities);
    QObject::connect(refreshBtn, SIGNAL(clicked()), XsldbgEntities, SLOT(refresh()));

    QMetaObject::connectSlotsByName(XsldbgEntities);
    } // setupUi

    void retranslateUi(QWidget *XsldbgEntities)
    {
    XsldbgEntities->setWindowTitle(tr2i18n("Xsldbg Entities", 0));
    entitiesListView->header()->setLabel(0, tr2i18n("PublicID", 0));
    entitiesListView->header()->setLabel(1, tr2i18n("SystemID", 0));
    refreshBtn->setText(tr2i18n("Refresh", 0));
    Q_UNUSED(XsldbgEntities);
    } // retranslateUi

};

namespace Ui {
    class XsldbgEntities: public Ui_XsldbgEntities {};
} // namespace Ui

class XsldbgEntities : public QWidget, public Ui::XsldbgEntities
{
    Q_OBJECT

public:
    XsldbgEntities(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~XsldbgEntities();

public slots:
    virtual void refresh();

protected slots:
    virtual void languageChange();

};

#endif // XSLDBGENTITIES_H

