#include <kdialog.h>
#include <klocale.h>

#ifndef UI_XSLDBGSOURCES_H
#define UI_XSLDBGSOURCES_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_XsldbgSources
{
public:
    QGridLayout *gridLayout;
    Q3ListView *sourceListView;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *refreshBtn;
    QSpacerItem *spacerItem1;

    void setupUi(QWidget *XsldbgSources)
    {
    if (XsldbgSources->objectName().isEmpty())
        XsldbgSources->setObjectName(QString::fromUtf8("XsldbgSources"));
    QSize size(536, 365);
    size = size.expandedTo(XsldbgSources->minimumSizeHint());
    XsldbgSources->resize(size);
    gridLayout = new QGridLayout(XsldbgSources);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    sourceListView = new Q3ListView(XsldbgSources);
    sourceListView->addColumn(tr2i18n("Source File", 0));
    sourceListView->header()->setClickEnabled(true, sourceListView->header()->count() - 1);
    sourceListView->header()->setResizeEnabled(true, sourceListView->header()->count() - 1);
    sourceListView->addColumn(tr2i18n("Parent File", 0));
    sourceListView->header()->setClickEnabled(true, sourceListView->header()->count() - 1);
    sourceListView->header()->setResizeEnabled(true, sourceListView->header()->count() - 1);
    sourceListView->addColumn(tr2i18n("Parent Line Number", 0));
    sourceListView->header()->setClickEnabled(true, sourceListView->header()->count() - 1);
    sourceListView->header()->setResizeEnabled(true, sourceListView->header()->count() - 1);
    sourceListView->setObjectName(QString::fromUtf8("sourceListView"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(3));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(sourceListView->sizePolicy().hasHeightForWidth());
    sourceListView->setSizePolicy(sizePolicy);

    gridLayout->addWidget(sourceListView, 0, 0, 1, 1);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    refreshBtn = new QPushButton(XsldbgSources);
    refreshBtn->setObjectName(QString::fromUtf8("refreshBtn"));

    hboxLayout->addWidget(refreshBtn);

    spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);


    gridLayout->addLayout(hboxLayout, 1, 0, 1, 1);


    retranslateUi(XsldbgSources);
    QObject::connect(sourceListView, SIGNAL(selectionChanged(Q3ListViewItem*)), XsldbgSources, SLOT(selectionChanged(Q3ListViewItem*)));
    QObject::connect(refreshBtn, SIGNAL(clicked()), XsldbgSources, SLOT(refresh()));

    QMetaObject::connectSlotsByName(XsldbgSources);
    } // setupUi

    void retranslateUi(QWidget *XsldbgSources)
    {
    XsldbgSources->setWindowTitle(tr2i18n("Xsldbg Source Files", 0));
    sourceListView->header()->setLabel(0, tr2i18n("Source File", 0));
    sourceListView->header()->setLabel(1, tr2i18n("Parent File", 0));
    sourceListView->header()->setLabel(2, tr2i18n("Parent Line Number", 0));
    refreshBtn->setText(tr2i18n("Refresh", 0));
    Q_UNUSED(XsldbgSources);
    } // retranslateUi

};

namespace Ui {
    class XsldbgSources: public Ui_XsldbgSources {};
} // namespace Ui

class XsldbgSources : public QWidget, public Ui::XsldbgSources
{
    Q_OBJECT

public:
    XsldbgSources(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~XsldbgSources();

public slots:
    virtual void refresh();
    virtual void selectionChanged(Q3ListViewItem*);

protected slots:
    virtual void languageChange();

};

#endif // XSLDBGSOURCES_H

