#include <kdialog.h>
#include <klocale.h>

#ifndef UI_XSLDBGTEMPLATES_H
#define UI_XSLDBGTEMPLATES_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QWidget>

class Ui_XsldbgTemplates
{
public:
    QGridLayout *gridLayout;
    Q3ListView *templatesListView;

    void setupUi(QWidget *XsldbgTemplates)
    {
    if (XsldbgTemplates->objectName().isEmpty())
        XsldbgTemplates->setObjectName(QString::fromUtf8("XsldbgTemplates"));
    QSize size(491, 232);
    size = size.expandedTo(XsldbgTemplates->minimumSizeHint());
    XsldbgTemplates->resize(size);
    gridLayout = new QGridLayout(XsldbgTemplates);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    templatesListView = new Q3ListView(XsldbgTemplates);
    templatesListView->addColumn(tr2i18n("Name", 0));
    templatesListView->header()->setClickEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->header()->setResizeEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->addColumn(tr2i18n("Mode", 0));
    templatesListView->header()->setClickEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->header()->setResizeEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->addColumn(tr2i18n("Source File Name", 0));
    templatesListView->header()->setClickEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->header()->setResizeEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->addColumn(tr2i18n("Line Number", 0));
    templatesListView->header()->setClickEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->header()->setResizeEnabled(true, templatesListView->header()->count() - 1);
    templatesListView->setObjectName(QString::fromUtf8("templatesListView"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(3));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(templatesListView->sizePolicy().hasHeightForWidth());
    templatesListView->setSizePolicy(sizePolicy);

    gridLayout->addWidget(templatesListView, 0, 0, 1, 1);


    retranslateUi(XsldbgTemplates);
    QObject::connect(templatesListView, SIGNAL(selectionChanged(Q3ListViewItem*)), XsldbgTemplates, SLOT(selectionChanged(Q3ListViewItem*)));

    QMetaObject::connectSlotsByName(XsldbgTemplates);
    } // setupUi

    void retranslateUi(QWidget *XsldbgTemplates)
    {
    XsldbgTemplates->setWindowTitle(tr2i18n("Xsldbg Templates", 0));
    templatesListView->header()->setLabel(0, tr2i18n("Name", 0));
    templatesListView->header()->setLabel(1, tr2i18n("Mode", 0));
    templatesListView->header()->setLabel(2, tr2i18n("Source File Name", 0));
    templatesListView->header()->setLabel(3, tr2i18n("Line Number", 0));
    Q_UNUSED(XsldbgTemplates);
    } // retranslateUi

};

namespace Ui {
    class XsldbgTemplates: public Ui_XsldbgTemplates {};
} // namespace Ui

class XsldbgTemplates : public QWidget, public Ui::XsldbgTemplates
{
    Q_OBJECT

public:
    XsldbgTemplates(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~XsldbgTemplates();

public slots:
    virtual void selectionChanged(Q3ListViewItem*);

protected slots:
    virtual void languageChange();

};

#endif // XSLDBGTEMPLATES_H

