
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ************************************************************************* */

#ifndef KXSLDBG_H
#define KXSLDBG_H

#include <kapplication.h>
#include <kparts/mainwindow.h>

class KToggleAction;

/**
 * This is the application "Shell".  It has a menubar, toolbar, and
 * statusbar but relies on the "Part" to do all the real work.
 *
 * @short Application Shell
 * @author Keith Isdale <k_isdale@tpg.com.au>
 * @version 0.4
 */
class KXsldbg : public KParts::MainWindow
{
    Q_OBJECT

public:
    /**
     * Default Constructor
     */
    KXsldbg();

    /**
     * Default Destructor
     */
    virtual ~KXsldbg();

    /**
	KxsldbgIf implementation 
    */ 
    void newCursorPosition(const QString &file, int lineNumber, int columnNumber=0);
    void newDebuggerPosition(const QString & file, int lineNumber);

protected:
    virtual bool closeUrl();

public slots:
    void quit();

private slots:
    void optionsShowToolbar();
    void optionsShowStatusbar();
    void optionsConfigureKeys();
    void optionsConfigureToolbars();

    void applyNewToolbarConfig();


private:
    void setupAccel();
    void setupActions();

private:
    KParts::ReadOnlyPart *m_part;

    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;
};

#endif // KXSLDBG_H
