/**
   File : xsldbginspector.h
   Author : Keith Isdale
   Date : 30th March 2002
   Description : Dialog to inspect stylesheet using xsldbg. Based on
                  file created by uic
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ************************************************************************* */

#ifndef XSLDBGINSPECTOR_H
#define XSLDBGINSPECTOR_H

#include <qvariant.h>
#include <qdialog.h>
//Added by qt3to4:
#include <Q3VBoxLayout>
#include <Q3HBoxLayout>
#include <Q3GridLayout>
class Q3VBoxLayout;
class Q3HBoxLayout;
class Q3GridLayout;
class Q3ListBox;
class Q3ListBoxItem;
class QPushButton;
class QTabWidget;
class QWidget;
class KPushButton;

class XsldbgDebugger;
class XsldbgBreakpointsImpl;
class XsldbgLocalVariablesImpl;
class XsldbgCallStackImpl;
class XsldbgTemplatesImpl;
class XsldbgSourcesImpl;
class XsldbgEntitiesImpl;

class XsldbgInspector : public QDialog
{
    Q_OBJECT

public:
    XsldbgInspector( XsldbgDebugger *debugger, QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WFlags fl = 0 );
    ~XsldbgInspector();

    QTabWidget* tabWidget;
    KPushButton* buttonHelp;
    KPushButton* buttonOk;
    KPushButton* buttonApply;
    QPushButton* buttonRefresh;
    KPushButton* buttonCancel;


public slots:
   void accept();
   void reject();
   void refresh();
   void refreshBreakpoints();
   void refreshVariables();


protected:
    Q3GridLayout* XsldbgInspectorLayout;
    Q3HBoxLayout* Layout1;
    XsldbgDebugger *debugger;
    XsldbgBreakpointsImpl *breakpointWidget;
    XsldbgLocalVariablesImpl *localWidget;
    XsldbgCallStackImpl *callStackWidget;
    XsldbgTemplatesImpl *templateWidget;
    XsldbgSourcesImpl *sourceWidget;
    XsldbgEntitiesImpl *entityWidget;
};

#endif // XSLDBGINPECTOR_H
